import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';

import '../widgets/details_section.dart';
import '../widgets/included_documents_section.dart';
import '../widgets/portfolio_image_carousel.dart';

class PortfolioDetailsLayout extends StatelessWidget {
  const PortfolioDetailsLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
        child: Column(
          children: [
            Container(
              decoration: BoxDecoration(
                color: AppColor.plainWhite,
                borderRadius: const BorderRadius.all(Radius.circular(20.0)),
                boxShadow: [
                  BoxShadow(
                    color: AppColor.plainBlack.withOpacity(0.15),
                    spreadRadius: 2,
                    blurRadius: 10,
                    offset: const Offset(0, 3),
                  ),
                ],
              ),
              child: Column(
                children: [
                  CarouselView(),
                  const DetailsSection(),
                ],
              ),
            ),
            Gap(
              20.h,
            ),
            const IncludedDocumentsSection(),
          ],
        ),
      ),
    );
  }
}
